# Apollo-11

[![NASA][1]][2]
[![SWH]][SWH_URL]
[![Comanche]][ComancheMilestone]
[![Luminary]][LuminaryMilestone]

🎌
[Bahasa Indonesia][ID],
[Català][CA],
[Čeština][CZ],
[Deutsch][DE],
[English][EN],
[Español][ES],
[Français][FR],
[Italiano][IT],
[Kurdi][KU],
[Nederlands][NL],
[Polski][PL],
[Português][PT_BR],
[Română][RO],
[Tiếng Việt][VI],
[Türkçe][TR],
[Русский][RU],
[العربية][AR],
[فارسی][FA],
[हिंदी][HI_IN],
**অসমীয়া**,
[বাংলা][BD_BN],
[မြန်မာ][MM],
[日本語][JA],
[正體中文][ZH_TW],
[简体中文][ZH_CN],
[한국어][KO_KR]

[AR]:README.ar.md
[AS_IN]:README.as_in.md
[BD_BN]:README.bd_bn.md
[CA]:README.ca.md
[CZ]:README.cz.md
[DE]:README.de.md
[EN]:README.md
[ES]:README.es.md
[FA]:README.fa.md
[FR]:README.fr.md
[HI_IN]:README.hi_in.md
[ID]:README.id.md
[IT]:README.it.md
[JA]:README.ja.md
[KO_KR]:README.ko_kr.md
[KU]:README.ku.md
[MM]:README.mm.md
[PL]:README.pl.md
[PT_BR]:README.pt_br.md
[RO]:README.ro.md
[RU]:README.ru.md
[TR]:README.tr.md
[VI]:README.vi.md
[ZH_CN]:README.zh_cn.md
[ZH_TW]:README.zh_tw.md
[NL]:README.nl.md

মূল এপোলো 11 গাইডেন্স কম্পিউটাৰ (AGC) কমাণ্ড মডিউল (Comanche055) আৰু লুনাৰ মডিউলৰ বাবে উৎস ক'ড (Luminary099)। [Virtual AGC][3] আৰু [MIT Museum][4] থকা লোকৰ দ্বাৰা ডিজিটাইজ কৰা হৈছে। লক্ষ্যটো হৈছে মূল এপলো 11 উৎস ক'ডৰ বাবে repo হোৱা। এনেদৰে, এই ভঁৰালত প্ৰতিলিপি আৰু লুমিনাৰী 099 আৰু কোমানচে 055-ৰ বাবে মূল উৎসৰ মাজত চিনাক্ত কৰা যিকোনো সমস্যাৰ বাবে পি.আৰ. স্বাগতম, লগতে মোৰ থাকি যাব পৰা যিকোনো ফাইল সংলগ্ন কৰিব পাৰে।

## অৱদান

অনুগ্ৰহ কৰি pull requestৰ আগতে [COMPINING.md][7] পঢ়ক।

## কম্পাইল

যদি আপুনি মূল উৎস ক'ড কম্পাইল কৰাত আগ্ৰহী, [Virtual AGC][8] চাওক।

## Attribution

&nbsp;         | &nbsp;
:------------- | :-----
কপিৰাইট       | ৰাজহুৱা ডমেইন
Comanche055    | কলোচাছ (Colossus) 2A ৰ উৎস কোডৰ অংশ, এপলো 11-ৰ কমাণ্ড মডিউলৰ (CM) এপলো গাইডেচন কম্পিউটাৰ (AGC)<br>`Assemble revision 055 of AGC program Comanche by NASA`<br>`2021113-051. 10:28 APR. 1, 1969`
Luminary099    | লুমিনাৰী (Luminary) 1A-ৰ বাবে উৎস কোডৰ অংশ, এপোলো 11-ৰ বাবে লুনাৰ মডিউলৰ (LM) এপোলো গাইডেচন কম্পিউটাৰ (AGC)<br>`Assemble revision 001 of AGC program LMY99 by NASA`<br>`2021112-061. 16:27 JUL. 14, 1969`
Assembler      | yaYUL
যোগাযোগ        | Ron Burkey <info@sandroid.org>
ৱেবছাইট        | www.ibiblio.org/apollo
Digitalisation | This source code has been transcribed or otherwise adapted from digitized images of a hardcopy from the MIT Museum. The digitization was performed by Paul Fjeld, and arranged for by Deborah Douglas of the Museum. Many thanks to both.

## চুক্তি আৰু অনুমোদন

*এই বিভাগটো [CONTRACT_AND_APPROVALS.agc]ৰ পৰা আহৰণ কৰা হৈছে*

এই এজিচি প্ৰ'গ্ৰামক কোলচাছ 2এ বুলিও কোৱা হ'ব।

প্ৰতিবেদন 'R-577'ত নিৰ্ধাৰিত অনুসৰি এই প্ৰ'গ্ৰামটো চি.এম.-ত ব্যৱহাৰ হৈছিল। এই কাৰ্য্যসূচীটো DSR প্ৰকল্প '55-23870'ৰ অধীনত প্ৰস্তুত কৰা হৈছিল, যাৰ পৃষ্ঠপোষকতা কৰিছিল National Aeronautics and Space Administrationৰ Manned Spacecraft Centerএ, Instrumentation Laboratory, Massachusetts Institute of Technologyৰ সৈতে চুক্তি 'NAS 9-4065'ৰ যোগেৰে।

দাখিলকাৰী             | ভূমিকা | দিনাংক
:------------------- | :--- | :---
Margaret H. Hamilton | Colossus Programming Leader<br>Apollo Guidance and Navigation | ২৮ মাৰ্চ '৬৯

অনুমোদক          | ভূমিকা | দিনাংক
:---------------- | :--- | :---
Daniel J. Lickly  | পৰিচালক, Mission Program Development<br>Apollo Guidance and Navigation Program | ২৮ মাৰ্চ '৬৯
Fred H. Martin    | Colossus প্ৰকল্প ব্যৱস্থাপক<br>Apollo Guidance and Navigation Program | ২৮ মাৰ্চ '৬৯
Norman E. Sears   | পৰিচালক, Mission Development<br>Apollo Guidance and Navigation Program | ২৮ মাৰ্চ '৬৯
Richard H. Battin | পৰিচালক, Mission Development<br>Apollo Guidance and Navigation Program | ২৮ মাৰ্চ '৬৯
David G. Hoag     | পৰিচালক<br>Apollo Guidance and Navigation Program | ২৮ মাৰ্চ '৬৯
Ralph R. Ragan    | উপ-পৰিচালক<br>Instrumentation Laboratory | ২৮ মাৰ্চ '৬৯

[CONTRACT_AND_APPROVALS.agc]:https://github.com/chrislgarry/Apollo-11/blob/master/Comanche055/CONTRACT_AND_APPROVALS.agc
[1]:https://flat.badgen.net/badge/NASA/Mission%20Overview/0B3D91
[2]:https://www.nasa.gov/mission_pages/apollo/missions/apollo11.html
[3]:http://www.ibiblio.org/apollo/
[4]:http://web.mit.edu/museum/
[5]:http://www.ibiblio.org/apollo/ScansForConversion/Luminary099/
[6]:http://www.ibiblio.org/apollo/ScansForConversion/Comanche055/
[7]:https://github.com/chrislgarry/Apollo-11/blob/master/CONTRIBUTING.md
[8]:https://github.com/rburkey2005/virtualagc
[SWH]:https://flat.badgen.net/badge/Software%20Heritage/Archive/0B3D91
[SWH_URL]:https://archive.softwareheritage.org/browse/origin/https://github.com/chrislgarry/Apollo-11/
[Comanche]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/1
[ComancheMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/1
[Luminary]:https://flat.badgen.net/github/milestones/chrislgarry/Apollo-11/2
[LuminaryMilestone]:https://github.com/chrislgarry/Apollo-11/milestone/2
